Bug 97227 - Leverage Chromium's code to set up FIFOs for Chromium Android layout tests
Summary: Leverage Chromium's code to set up FIFOs for Chromium Android layout tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Peter Beverloo
URL:
Keywords:
Depends on:
Blocks: 97230
  Show dependency treegraph
 
Reported: 2012-09-20 09:48 PDT by Peter Beverloo
Modified: 2022-02-27 23:55 PST (History)
4 users (show)

See Also:


Attachments
Patch (19.64 KB, patch)
2012-09-20 09:55 PDT, Peter Beverloo
tony: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Beverloo 2012-09-20 09:48:29 PDT
Leverage Chromium's code to set up FIFOs for Chromium Android layout tests
Comment 1 Peter Beverloo 2012-09-20 09:55:47 PDT
Created attachment 164934 [details]
Patch
Comment 2 Peter Beverloo 2012-09-20 10:12:38 PDT
I'd like Tony to review this :-).

Sorry for the -once again- rapid change of course. bulach@ changed Chromium to use FIFOs, and after a follow-up patch we'll be able to use that implementation for WebKit as well. This allows quite some code to be removed.

The patch in bug 97230 is a preemptive fix for something I can see happening tonight, namely changing the location of the named pipes, but as I won't be around tonight and it'll be hard to find a reviewer for that in the GMT timezone, already asking review.
Comment 3 Peter Beverloo 2012-09-20 10:17:16 PDT
Comment on attachment 164934 [details]
Patch

For further clarification: once the following Chromium CL rolls into WebKit, running layout tests on the Android bot will be broken. When this patch lands before a DEPS roll, it'll also be broken. If WebKit rolls past Chromium's r157541 and this patch is in, it'll start to work again :-).

http://src.chromium.org/viewvc/chrome?view=rev&revision=157541

Since no one pays attention yet, I think it'd be fine to break the bot for now.
Comment 4 Tony Chang 2012-09-20 11:02:23 PDT
Comment on attachment 164934 [details]
Patch

Oh, I saw the other bug first.  This seems better (less invasive) than the previous code.  Will support for TestWebKitAPI and webkit_unit_tests require additional changes in the WebKit tree?
Comment 5 Tony Chang 2012-09-20 11:03:04 PDT
Feel free to land this with a WebKit DEPS roll or do a DEPS roll first.
Comment 6 Peter Beverloo 2012-09-20 14:04:50 PDT
(In reply to comment #4)
> (From update of attachment 164934 [details])
> Oh, I saw the other bug first.  This seems better (less invasive) than the previous code.  Will support for TestWebKitAPI and webkit_unit_tests require additional changes in the WebKit tree?

Not anymore, it's all Python changes from now on. I have an almost working prototype and will start uploading patches tomorrow.

I'll roll DEPS in the morning, cheers :-).
Comment 7 Peter Beverloo 2012-09-21 06:35:53 PDT
Committed r129221: <http://trac.webkit.org/changeset/129221>